<?php
/**
 * Copy Right IJH.CC
 * Each engineer has a duty to keep the code elegant
 * $Id$
 */
if(!defined('__CORE_DIR')){
    exit("Access Denied");
}
class Ctl_App extends Ctl
{
    

    public function index($params)
    {
        $this->msgbox->add('Api test success');
        $this->msgbox->set_data('data', array('a'=>'b', 'c'=>'d'));
    }

    public function test($params)
    {
        $this->msgbox->add('success');
        $this->msgbox->set_data('data', $params);
    }
        
    public function info()
    {
        $attachCfg = K::M('system/config')->get('attach');
        $site = $this->system->config->get("site");
        $site['attachurl'] = $site['items']['attachurl'] = $attachCfg['attachurl'];        
        $this->msgbox->add('success');
        $this->msgbox->set_data('data', $site);
    }
    
}
